apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: cert-manager-dev
  namespace: argocd
spec:
  destination:
    namespace: cert-manager
    server: https://192.168.4.202:6443
  project: default
  sources:
    - repoURL: https://charts.jetstack.io
      targetRevision: v1.18.*
      chart: cert-manager
      helm:
        version: v3
        passCredentials: true
        skipCrds: true
        parameters:
          - name: installCRDs
            value: "true"
          - name: 'namespace'
            value: 'cert-manager'
          - name: 'enableCertificateOwnerRef'
            value: 'true'
    - repoURL: 'git@192.168.4.101:innohub/k3s.git'
      targetRevision: main
      path: argocd/apps/cert-manager-dev/include        
      directory:
        recurse: true
  syncPolicy:
    automated:
       selfHeal: true
       prune: true
    syncOptions:
      - CreateNamespace=true
